Package wx :: Class TopLevelWindow

[frames | no frames]

## Type TopLevelWindow

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                        TopLevelWindow

Known Subclasses:
  `Dialog`, `Frame`

Proxy of C++ TopLevelWindow class

Method Summary
| `__init__(self)`
| ``CenterOnScreen`(self, dir)` Center the window on screen
| ``CentreOnScreen`(self, dir)` Center the window on screen
bool | `EnableCloseButton(self, enable)`
Window | ``GetDefaultItem`(self)` Get the default child of this parent, i.e.
Icon | `GetIcon(self)`
String | `GetTitle(self)`
Window | ``GetTmpDefaultItem`(self)` Return the temporary default item, which can be None.
| `Iconize(self, iconize)`
bool | `IsActive(self)`
bool | `IsAlwaysMaximized(self)`
bool | `IsFullScreen(self)`
bool | `IsIconized(self)`
bool | `IsMaximized(self)`
bool | `MacGetMetalAppearance(self)`
| `MacSetMetalAppearance(self, on)`
| `Maximize(self, maximize)`
| `RequestUserAttention(self, flags)`
| `Restore(self)`
Window | ``SetDefaultItem`(self, child)` Set this child as default, return the old default.
| `SetIcon(self, icon)`
| `SetIcons(self, icons)`
bool | `SetShape(self, region)`
| `SetTitle(self, title)`
| ``SetTmpDefaultItem`(self, win)` Set this child as temporary default
bool | `ShowFullScreen(self, show, style)`

Property Summary
| `DefaultItem`: See `GetDefaultItem` and `SetDefaultItem`
| `Icon`: See `GetIcon` and `SetIcon`
| `thisown`: The membership flag
| `Title`: See `GetTitle` and `SetTitle`
| `TmpDefaultItem`: See `GetTmpDefaultItem` and `SetTmpDefaultItem`

Instance Method Details

### CenterOnScreen(self, dir=BOTH)

Center the window on screen

  Parameters:
    `dir`
    (type=int)

### CentreOnScreen(self, dir=BOTH)

Center the window on screen

  Parameters:
    `dir`
    (type=int)

### GetDefaultItem(self)

Get the default child of this parent, i.e. the one which is activated by pressing <Enter> such as the OK button on a wx.Dialog.

  Returns:
    Window

### GetTmpDefaultItem(self)

Return the temporary default item, which can be None.

  Returns:
    Window

### SetDefaultItem(self, child)

Set this child as default, return the old default.

  Parameters:
    `child`
    (type=Window)

  Returns:
    Window

### SetTmpDefaultItem(self, win)

Set this child as temporary default

  Parameters:
    `win`
    (type=Window)

Property Details

### DefaultItem

See `GetDefaultItem` and `SetDefaultItem`

  Get Method:
    `GetDefaultItem`(self)
  Set Method:
    `SetDefaultItem`(self, child)

### Icon

See `GetIcon` and `SetIcon`

  Get Method:
    `GetIcon`(self)
  Set Method:
    `SetIcon`(self, icon)

### thisown

The membership flag

### Title

See `GetTitle` and `SetTitle`

  Get Method:
    `GetTitle`(self)
  Set Method:
    `SetTitle`(self, title)

### TmpDefaultItem

See `GetTmpDefaultItem` and `SetTmpDefaultItem`

  Get Method:
    `GetTmpDefaultItem`(self)
  Set Method:
    `SetTmpDefaultItem`(self, win)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:55 2007 | http://epydoc.sf.net